Subject: Re: bug#68559: [PATCH] Improve Python shell completion

From: kobarity <[email-masked]>
Date: Thu, 01 Feb 2024 23:39:58 +0900

Eli Zaretskii wrote:
> > Date: Mon, 29 Jan 2024 22:15:20 +0900
> > From: kobarity <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>,
> > 	[email-masked]
> > 
> > kobarity wrote:
> > > Liu Hui wrote:
> > > > Thanks for pointing it out. The attached patch should now restore
> > > > previous basic completion behavior in comments.
> > > 
> > > Thanks, I confirmed that basic completion (without keyword argument
> > > completion) can be performed within comments.
> > 
> > One additional comment regarding ERT.  pyenv installs an ipython shim
> > to the shims directory, if there is at least one virtualenv providing
> > ipython.  It can be found by `executable-find'.  However, it is not
> > usable unless the virtualenv is activated.  As a result, the
> > `python-shell-completion-at-point-ipython' ERT would fail unless a
> > virtualenv which provides ipython is activated.
> > 
> > This may be something pyenv users should take care of, but it is more
> > convenient for pyenv users like me to make the following changes.
> 
> Do we have a consensus about this issue?  Should I install the
> original patch, or are you still discussing it, and an updated patch
> will be posted soon?
> 
> Thanks.

Although I think there are a few things left unanswered, the latest
patch sent on Jan 26th is very worthwhile and stable enough to be
installed.  So, unless Liu is preparing a new patch, I agree that the
latest patch should be installed.  That way more people can try it and
find the problem, if any.